package com.lightinit.hsdataplatformresdir.dictionary;

import java.util.LinkedHashMap;

/**
 * Created by WangYao on 2018/5/24.
 */
public class DicResourceCatelogType {

    public static final String BASIC = "基础分类";
    public static final String SECTOR = "部门分类";
    public static final String THEME = "主题分类";
    public static final String CUSTOM = "自定义分类";

    private static DicResourceCatelogType instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicResourceCatelogType(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(BASIC, BASIC);
        dicMap.put(SECTOR, SECTOR);
        dicMap.put(THEME, THEME);
        dicMap.put(CUSTOM, CUSTOM);
    }

    public static DicResourceCatelogType getInstacne(){
        if (instance == null)
        {
            instance = new DicResourceCatelogType();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }

}
